"""Ferda auction constants."""

import sys
from enum import unique

if sys.version_info >= (3, 11):  # pragma: no cover
    from enum import StrEnum
else:  # pragma: no cover
    from backports.strenum import StrEnum


@unique
class ApiScope(StrEnum):
    """Permission scopes."""

    AUCTION_READ_FULL = "auction_read_full"
    AUCTION_EDIT = "auction_edit"
    BAN_READ = "ban_read"
    BAN_EDIT = "ban_edit"
